#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 websockets
version:              0.12.7.1
visibility:           public
id:                   websockets-0.12.7.1-G4UNal4LkBbHPkiw9QJWLm
key:                  websockets-0.12.7.1-G4UNal4LkBbHPkiw9QJWLm
license:              BSD-3-Clause
copyright:
    (c) 2010-2011 Siniša Biđin
    (c) 2011-2018 Jasper Van der Jeugt
    (c) 2011 Steffen Schuldenzucker
    (c) 2011 Alex Lang

maintainer:           Jasper Van der Jeugt <m@jaspervdj.be>
author:
    Siniša Biđin <sinisa@bidin.cc>
    Jasper Van der Jeugt <m@jaspervdj.be>
    Steffen Schuldenzucker <steffen.schuldenzucker@googlemail.com>
    Alex Lang <lang@tsurucapital.com>

stability:            experimental
homepage:             http://jaspervdj.be/websockets
synopsis:
    A sensible and clean way to write WebSocket-capable servers in Haskell.

description:
    This library allows you to write WebSocket-capable servers.

    An example server:
    <https://github.com/jaspervdj/websockets/blob/master/example/server.lhs>

    An example client:
    <https://github.com/jaspervdj/websockets/blob/master/example/client.hs>

    See also:

    * The specification of the WebSocket protocol:
    <http://www.whatwg.org/specs/web-socket-protocol/>

    * The JavaScript API for dealing with WebSockets:
    <http://www.w3.org/TR/websockets/>

category:             Network
abi:                  865f9b3030c7784d7e75a09ab00b3e85
exposed:              True
exposed-modules:
    Network.WebSockets Network.WebSockets.Client
    Network.WebSockets.Connection Network.WebSockets.Extensions
    Network.WebSockets.Stream

hidden-modules:
    Network.WebSockets.Connection.Options
    Network.WebSockets.Extensions.Description
    Network.WebSockets.Extensions.PermessageDeflate
    Network.WebSockets.Extensions.StrictUnicode Network.WebSockets.Http
    Network.WebSockets.Hybi13 Network.WebSockets.Hybi13.Demultiplex
    Network.WebSockets.Hybi13.Mask Network.WebSockets.Protocol
    Network.WebSockets.Server Network.WebSockets.Types

import-dirs:          /usr/lib/ghc-8.10.2/site-local/websockets-0.12.7.1
library-dirs:         /usr/lib/ghc-8.10.2/site-local/websockets-0.12.7.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/websockets-0.12.7.1
hs-libraries:         HSwebsockets-0.12.7.1-G4UNal4LkBbHPkiw9QJWLm
depends:
    SHA-1.6.4.4-E6Jj9ikGKEM9Q5vfpEwBdT
    async-2.2.2-KsABh1Xq3KKHTwRj3PM458
    attoparsec-0.13.2.4-5M99CjVqPJb6HJ808kFFFu base-4.14.1.0
    base64-bytestring-1.2.0.0-BIzQR1le2Cm4LmLG8fGG1V binary-0.8.8.0
    bytestring-0.10.10.0
    case-insensitive-1.2.1.0-HouKk9k640X8DZj3LUmWDh
    clock-0.8-GgyC1t0yogI8KcRGJ3XM3f containers-0.6.2.1
    entropy-0.4.1.6-9PryOfo5UGm2sncsbscV7i
    network-3.1.2.0-6JDKfAnmzxBDIIJL2Fi5PT
    random-1.2.0-IjNXUmjJ05140lXsAPPmUL
    streaming-commons-0.2.2.1-4PybeQ4anAZJoFRkLyS3ZI text-1.2.3.2

haddock-interfaces:   /usr/share/doc/haskell-websockets/html/websockets.haddock
haddock-html:         /usr/share/doc/haskell-websockets/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

